> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xentfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List payment methods and their requirements

> Each method includes a JSON Schema (Draft 07) for `paymentMethodData`. NGN/GHS: `bank_transfer`. USD: `wire`, `ach`. EUR: `sepa`.



## OpenAPI

````yaml /api-reference/openapi.json get /v1/offramp/payment-methods
openapi: 3.0.3
info:
  title: XentFi API
  version: 1.0.0
  description: >-
    API documentation for XentFi.The XentFi API gives you access to pretty much
    all the features you can use on our dashboard and lets you extend them for
    use in your application. It strives to be RESTful and is organized around
    the main resources you would be interacting with - with a few notable
    exceptions.
servers:
  - url: https://api.xentfi.com
    description: Production server
security: []
tags: []
paths:
  /v1/offramp/payment-methods:
    get:
      tags:
        - Off-ramp
      summary: List payment methods and their requirements
      description: >-
        Each method includes a JSON Schema (Draft 07) for `paymentMethodData`.
        NGN/GHS: `bank_transfer`. USD: `wire`, `ach`. EUR: `sepa`.
      operationId: offrampPaymentMethods
      parameters:
        - name: currency
          in: query
          required: true
          schema:
            type: string
            enum:
              - NGN
              - GHS
              - USD
              - EUR
      responses:
        '200':
          description: Methods
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: bank_transfer
                        type:
                          type: string
                        country:
                          type: string
                        fiatCurrency:
                          type: string
                        paymentMethodCategory:
                          type: string
                        processingSeconds:
                          type: integer
                        requiresCustomer:
                          type: boolean
                        schema:
                          type: object
                          description: JSON Schema Draft 07 for paymentMethodData
        '400':
          description: Unsupported currency
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: string
                        example: NOT_FOUND
                      message:
                        type: string
                        example: Wallet not found
                      timestamp:
                        type: string
                        format: date-time
                      requestId:
                        type: string
      security:
        - ApiKeyAuth: []
          OrgIdAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: apiKey
    OrgIdAuth:
      type: apiKey
      in: header
      name: orgId

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.